io_appendfile(3)

NAME
io_appendfile - open a file for appending

SYNTAX
#include <libowfat/io.h> int io_appendfile(int64* d,const char* filename);

DESCRIPTION
io_appendfile sets d to the number of a new descriptor writing to the end of the disk file named filename, and returns 1. If the file does not exist, it will be created with mode 0600. If something goes wrong, io_appendfile sets errno to indicate the error, and returns 0; it does not create a new descriptor, and it does not touch d.

SEE ALSO
io_readfile(3), io_createfile(3), io_readwritefile(3)